#if !defined(MAILBOX_H)
#define MAILBOX_H

struct Mail
{
	unsigned int iNumMail;
	bool bError;
};

class Mailbox
{
public:
	Mailbox(char* name, char* type, char* server, char* user, char* pass);
	~Mailbox();
	Mail CheckMail();
	int Pop3Check(const SOCKET& s);
	int ImapCheck(const SOCKET& s);
	void ClearMail();
	char sname[64];

private:
	void ErrorHandler(const int& errnum, const SOCKET& s);
	char* Encrypt(char* pass);

	char stype[64], sserver[128], suser[64], spass[64], sevar[72];
	unsigned short port;
	Mail mail;
};

#endif // MAILBOX_H